Subject: Re: /usr/bin/env - Incorrect parsing of #! line?
From: "David Gluss" <[email-masked]>
To: "Peter J. Acklam" <[email-masked]>
Cc: <[email-masked]>, "Peter J. Acklam" <[email-masked]>
Date: Tue, 12 Feb 2002 13:27:20 -0800

I've only tried it with csh, tcsh, sh, and bash.  I put that first line in
with a colon
to put emacs into perl-mode.  It could probably be a # instead...as long as
it's
not #!.
----- Original Message -----
From: "Peter J. Acklam" <[email-masked]>
To: "David Gluss" <[email-masked]>
Cc: <[email-masked]>; "Peter J. Acklam" <[email-masked]>
Sent: Tuesday, February 12, 2002 12:15 PM
Subject: Re: /usr/bin/env - Incorrect parsing of #! line?

> "David Gluss" <[email-masked]> wrote:
>
> > I don't know if it's constructive to suggest an alternative trick,
rather
> > than trying to fix cygwin, in this forum.  However, this might work
> > for you:
> >>------------
> >>: # -*-Mode: perl;-*- use perl, wherever it is
> >>eval 'exec perl -wS $0 ${1+"$@"}'
> >>  if 0;
> >>#!/usr/local/bin/perl -w
> >>------------
>
> Thanks!  But I wonder, does the colon really belong there?  If so,
> what does it do?  Will this work under all common shells (sh, ksh,
> bash, zsh, csh, tcsh)?
>
> I hasitate to use a script with no shebang line, because I'm so
> used to it always being present in a script, but if I don't really
> need it, then I guess I can do without.
>
> Peter
>
> --
> People say I'm indifferent, but I don't care.
>
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/